<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('devis_status', function (Blueprint $table) {
            $table->id();
            $table->foreignId('devis_status_id')->constrained()->onDelete(null);
            $table->foreignId('devis_id')->constrained()->onDelete(null);
            $table->foreignId('user_id')->constrained()->onDelete(null);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('devis_status');
    }
};
